Query Information of an Onsite Proxy Instance
Query the detailed information of an Onsite Proxy instance.
Request URL
GET {base_url}/{api_path}/onsiteproxy/get?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of an Onsite Proxy instance. Note: You can query instance ID using Search Specific Onsite Proxy Instances. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Object<Proxy_DetailInfo> | The detailed information of the Onsite Proxy instance. |
Proxy_DetailInfo
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The instance ID. |
| uuid | String | The instance UUID. |
| name | String | The instance name. |
| platform | String | The operating system where the instance is deployed. |
| version | String | The instance version. |
| intranet_ip | String | The private IP address of the instance. |
| public_ip | String | The public IP address of the instance. |
| intranet_port | Integer | The internal port of the instance. |
| audio_rtp_passthrough | Integer | Whether the Audio RTP Passthrough feature is enabled.
|
| status | String | The connection status between the PBX and the instance.
|
| status_update_time | Integer | The timestamp when the connection status was last updated. |
| phone_count | Integer | The total number of associated IP phones, including those auto-discovered via PnP by the instance and others configured to register via the instance. |
| online_phone_count | Integer | The number of associated IP phones successfully registered with PBX extensions via the instance. |
| last_report_time | Integer | The timestamp when the instance last reported data to the PBX. |
| cpu_usage | Number | The CPU utilization for the instance. |
| memory_usage | Number | The memory utilization for the instance. |
| disk_usage | Number | The disk utilization for the instance. |
| create_time | Integer | The timestamp when the instance was created. |
| update_time | Integer | The timestamp of the last update to the instance data, excluding phone count and online phone count changes. |
| secret_key_activated | Integer | Whether the secret key is activated.
|
| connection_address | String | The connection address of the PBX server. |
Examples
Request example
Query the detailed information of Onsite Proxy instance (ID: 47).
GET /openapi/v1.0/onsiteproxy/get?id=47&access_token=q0GyBcsgO8FsXWxPpzAJVW33vd0OpnUz HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": {
"id": 47,
"uuid": "67XXX-XXXX-XXXX-XXXX-XXXXXXXXXf42",
"name": "Proxy_033",
"platform": "linux",
"version": "99.0.0.9",
"intranet_ip": "172.17.0.19",
"public_ip": "192.0.2.10",
"intranet_port": 5060,
"audio_rtp_passthrough": 1,
"status": "disconnected",
"status_update_time": 1772604748,
"phone_count": 2,
"online_phone_count": 1,
"last_report_time": 1772604682,
"cpu_usage": 2.218301,
"memory_usage": 37.12323,
"disk_usage": 52.622917,
"create_time": 1769753210,
"update_time": 1772422943,
"secret_key_activated": 1,
"connection_address": "198.51.100.10"
}
}